org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec.PARAM

- All Known Implementing Classes:
    Hamlet.PARAM
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.PARAM

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.PARAM` | `$id(String cdata)` document-wide unique id
    `HamletSpec.PARAM` | `$name(String cdata)` property name.
    `HamletSpec.PARAM` | `$value(String cdata)` property value

- - ### Method Detail

    - #### $id

          HamletSpec.PARAM $id(String cdata)

      document-wide unique id
      Parameters:
        `cdata` - the id
      Returns:
        the current element builder

    - #### $name

          HamletSpec.PARAM $name(String cdata)

      property name. Required.
      Parameters:
        `cdata` - the name
      Returns:
        the current element builder

    - #### $value

          HamletSpec.PARAM $value(String cdata)

      property value
      Parameters:
        `cdata` - the value
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.